/* ------------------------------------------------------------------------- */
/*    Uses OS2 environment variables to determine testcase drive.            */
/* ------------------------------------------------------------------------- */
'@echo off'
arg parm.1 comments
'cls'
say ''
if left(parm.1,1) = '?' then signal INFO_PLEASE
/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT');       /* get OS2 boot drive */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT');       /* get testcase drive */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end


/* ************************************************************************* */
tstdrv':'
'cd \ide48bit'
'idetest'
exit RC

/*-------------------------------------------------------------------------- */
INFO_PLEASE:
  say '[1;26;45m  ͻ  '
  say '   IDE48BIT.CMD - IDE 48 Bit command, 137 GB Limit support test.      '
  say '                                                                      '
  say '   Parameters: NONE                                                   '
  say '                                                                      '
  say '   Executed from PCMTEST.EXE. To execute manually use RUN.CMD         '
  say '   under directory \IDE48BIT                                          '
  say '                                                                      '
  say '   Uses OS/2 environment variables to determine testcase drive.       '
  say '  ͼ  [0;40;37m'
  exit
